Bug 200552 - New Port: sysutils/fswatch-file-change-monitor
Summary: New Port: sysutils/fswatch-file-change-monitor
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Mark Felder
URL: https://github.com/emcrisostomo/fswatch
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-31 18:57 UTC by Enrico M. Crisostomo
Modified: 2017-01-10 02:47 UTC (History)
2 users (show)

See Also:


Attachments
New Port: sysutils/fswatch-file-change-monitor (archive) (5.45 KB, text/plain)
2015-05-31 18:57 UTC, Enrico M. Crisostomo
rakuco: maintainer-approval+
Details
poudriere output (10.1-RELEASE jail) (37.22 KB, text/plain)
2015-05-31 18:58 UTC, Enrico M. Crisostomo
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Enrico M. Crisostomo 2015-05-31 18:57:30 UTC
Created attachment 157309 [details]
New Port: sysutils/fswatch-file-change-monitor (archive)

fswatch is a cross-platform file change monitor with multiple backends: Apple OS X File System Events API, *BSD kqueue, Linux inotify and a stat()-based backend.

libfswatch, shipped as a nested package, is a library that provides a simple API to use any supported backend.  libfswatch provides both a C and a C++ bindings.
Comment 1 Enrico M. Crisostomo 2015-05-31 18:58:01 UTC
Created attachment 157310 [details]
poudriere output (10.1-RELEASE jail)
Comment 2 Enrico M. Crisostomo 2015-05-31 18:59:44 UTC
I proposed sysutils/fswatch-file-change-monitor because a port with the same name exists: security/fswatch and I'm not sure whether they could coexist.
Comment 3 Mark Felder freebsd_committer 2016-03-10 20:05:14 UTC
I'll take this

Sorry it has been waiting so long!
Comment 4 Mark Felder freebsd_committer 2016-03-10 20:19:40 UTC
fswatch-file-change-monitor is quite a mouthful for a package name. I don't like to alter your software's name too much... Do you feel comfortable with the package being called "fswatch-mon" ?


Thanks
Comment 5 Enrico M. Crisostomo 2016-03-27 15:19:58 UTC
(In reply to Mark Felder from comment #3)

No problems Mark, thank you very much!
Comment 6 Enrico M. Crisostomo 2016-03-27 15:21:36 UTC
(In reply to Mark Felder from comment #4)

Hi Mark, the name you propose is perfect IMHO.

I'm finishing the 1.9.0 release: I'll update the port, I'll re-test it entirely and I'll be back to you soon.

Thanks.
Comment 7 Yuri Victorovich freebsd_committer 2016-08-08 22:09:11 UTC
Now version 1.9.3 is available.

I think you should use USE_GITHUB=yes instead of MASTER_SITES.

+1 fswatch-mon
Comment 8 commit-hook freebsd_committer 2017-01-09 22:47:03 UTC
A commit references this bug:

Author: feld
Date: Mon Jan  9 22:46:51 UTC 2017
New revision: 431040
URL: https://svnweb.freebsd.org/changeset/ports/431040

Log:
  fswatch is a file change monitor that receives notifications when the contents
  of the specified files or directories are modified. fswatch implements four
  kinds of monitors:

    * A monitor based on the File System Events API of Apple OS X.
    * A monitor based on kqueue, an event notification interface introduced in
      FreeBSD 4.1 and supported on most *BSD systems (including OS X).
    * A monitor based on inotify, a Linux kernel subsystem that reports file
      system changes to applications.
    * A monitor which periodically stats the file system, saves file modification
      times in memory and manually calculates file system changes, which can work
      on any operating system where stat (2) can be used.

  fswatch should build and work correctly on any system shipping either of the
  aforementioned APIs.

  WWW: https://github.com/emcrisostomo/fswatch

  PR:		200552
  Submitted by:	Enrico M. Crisostomo <enrico.m.crisostomo@gmail.com>

Changes:
  head/sysutils/Makefile
  head/sysutils/fswatch-mon/
  head/sysutils/fswatch-mon/Makefile
  head/sysutils/fswatch-mon/distinfo
  head/sysutils/fswatch-mon/pkg-descr
  head/sysutils/fswatch-mon/pkg-plist
Comment 9 Mark Felder freebsd_committer 2017-01-09 22:47:11 UTC
Committed with changes, sorry about the long delay!
Comment 10 commit-hook freebsd_committer 2017-01-10 02:47:26 UTC
A commit references this bug:

Author: junovitch
Date: Tue Jan 10 02:46:43 UTC 2017
New revision: 431056
URL: https://svnweb.freebsd.org/changeset/ports/431056

Log:
  sysutils/fswatch-mon: fix spelling on CONFLICTS_INSTALL

  PR:		200552

Changes:
  head/sysutils/fswatch-mon/Makefile